/**
 * Doimplementujte metodu getTotalArea podle pozadavku.
 * Nic jineho v teto tride nemente!
 */
package cz.muni.fi.pb162.exam.flat;

public class Flat {
    
    private Room kitchen;

    private Room livingRoom;
    
    private Room bedroom;

    private double otherArea;
    
    /**
     * Inicializuje novy byt s uvedenim ploch tri mistnosti,
     * tj. po rade kuchyne, obyvaciho pokoje, loznice, a ostatni plochy.
     */
    public Flat(double kitchenArea, double livingRoomArea, double bedroomArea, double otherArea) {
        kitchen = new Kitchen(kitchenArea);
        livingRoom = new LivingRoom(livingRoomArea);
        bedroom = new Bedroom(bedroomArea);
        this.otherArea = otherArea;
    }
    
    /**
     * Vrati celkovou plochu bytu jako soucet ploch tri mistnosti a ostatni plochy
     */
    public double getTotalArea() {
        // doimplementovat jako soucet ploch vsech tri mistnosti a ostatni plochy
    }
    
    /**
     * Vypise info o bytu vc. jeho celkove plochy a mistnosti
     */
    public void writeInfo() {
        System.out.println(
            "Flat with total area=" + getTotalArea() + " and rooms:");
        kitchen.writeInfo();
        livingRoom.writeInfo();
        bedroom.writeInfo();
    }
    
    /**
     * Vytvori vzorovy byt a vypise info o nem.
     */
    public static void main(String[] args) {
        new Flat(12, 20, 16, 10).writeInfo();
    }
}
